VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 23
声望: 0

软件重复装了好多次,运行时都显示缺乏这个模块。ModuleNotFoundError: No module named 'vnpy.trader.vtObject',大神有没有办法解决的?谢谢^_^急求~

description

description

description

Administrator
avatar
加入于:
帖子: 4492
声望: 311

请安装VNStudio最新版本,你这里用的是1.9.2版本,太老了

Member
avatar
加入于:
帖子: 23
声望: 0

卸载了装最新版本也没有额,又用阿里云装,也还是显示没有这个模块。

description

Administrator
avatar
加入于:
帖子: 4492
声望: 311

你的课程是哪里购买的?vn.py从去年初就全面升级到2.0版本了,这个vtObject的代码风格是之前1.0版本的

Member
avatar
加入于:
帖子: 23
声望: 0

是附赠的入门初阶课程,确实比较老了~

Administrator
avatar
加入于:
帖子: 4492
声望: 311

2.0的内容(免费入门教程、进阶付费课程)都在vnpy-community微信公众号上,可以去那个上面看

Member
avatar
加入于:
帖子: 23
声望: 0

好的,谢谢^-^

Member
avatar
加入于:
帖子: 6
声望: 0

我安装的已经是最新版本了,但是一样存在这一的问题;
description

Member
avatar
加入于:
帖子: 6
声望: 0

用Python的交易员 wrote:

请安装VNStudio最新版本,你这里用的是1.9.2版本,太老了
我安装了最新的2.1.1一样的问题

Member
avatar
加入于:
帖子: 8
声望: 0

我猜你这问题没有解决,你的问题是如何配置老版本以配合老教程的问题吧

Member
avatar
加入于:
帖子: 8
声望: 0

试一下,把老版本的vnpy安装路径添加到sys.path 中!

Member
avatar
加入于:
帖子: 3
声望: 1

有为2e52e747874f4409 wrote:

用Python的交易员 wrote:

请安装VNStudio最新版本,你这里用的是1.9.2版本,太老了
请问最新版本的vnpy里有什么函数可以替代vnpy.trader.vtObject这个功能吗?

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】